import { useMemo } from 'react';
import { DataTable } from '../../components';
import data from '../../datas/articles.json';
import moment from 'moment';

const News = () => {

  let roleTemp = [];
  data.map(({ type }) => {
    roleTemp.push(type)
  })

  const proccessed_data = data.map((obj, i) => ({ ...obj, publish_date: moment(obj.publish_date).format('DD MMMM YYYY')}))

  const type_set = new Set([...roleTemp]);
  const type = [...type_set];

  const columns = useMemo(
    () => [
      {
        Header: () => <span>No</span>,
        id: 'rowNumber',
        width: 30,
      },
      {
        Header: "Type",
        accessor: 'type'
      },
      {
        Header: "Title",
        accessor: 'title'
      },
      {
        Header: "Publish",
        accessor: 'publish_date'
      },
    ]
  )


  return (
    <>
      <div className="flex flex-row justify-end">
        <button className='bg-primary rounded justify-center hover:bg-opacity-70 text-gray font-medium px-4 py-3 flex'>
          <svg xmlns="http://www.w3.org/2000/svg" className="mr-3" style={{ alignSelf: 'center' }} fill="white" height="18" viewBox="0 -960 960 960" width="18"><path d="M730-400v-130H600v-60h130v-130h60v130h130v60H790v130h-60Zm-370-81q-66 0-108-42t-42-108q0-66 42-108t108-42q66 0 108 42t42 108q0 66-42 108t-108 42ZM40-160v-94q0-35 17.5-63.5T108-360q75-33 133.338-46.5 58.339-13.5 118.5-13.5Q420-420 478-406.5 536-393 611-360q33 15 51 43t18 63v94H40Zm60-60h520v-34q0-16-9-30.5T587-306q-71-33-120-43.5T360-360q-58 0-107.5 10.5T132-306q-15 7-23.5 21.5T100-254v34Zm260-321q39 0 64.5-25.5T450-631q0-39-25.5-64.5T360-721q-39 0-64.5 25.5T270-631q0 39 25.5 64.5T360-541Zm0-90Zm0 411Z" /></svg>
          Create News
        </button>
      </div>
      <div className="p-4 bg-white mt-8 rounded">
        <div className='mt-4'>
          <DataTable columns={columns} data={proccessed_data} tabFilterData={type} />
        </div>
      </div>
    </>
  )
}

export default News;